{% extends 'base.html.twig' %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('login') }}
{% endblock %}

{% block main %}
    {% if error %}
        <div class="alert alert-danger">
            {{ error.messageKey|trans(error.messageData, 'security') }}
        </div>
    {% endif %}

    <div class="row">
        <div class="col-sm-5">
            <div class="well">
                <form action="{{ path('security_login') }}" method="post">
                    <fieldset>
                        <legend><i class="fa fa-lock" aria-hidden="true"></i> Login </legend>
                        <div class="form-group">
                            <label for="username">Email</label>
                            <input type="text" id="email" name="_username" value="{{ last_username }}" class="form-control"/>
                        </div>
                        <div class="form-group">
                            <label for="password">Mot de passe</label>
                            <input type="password" id="password" name="_password" class="form-control" />
                        </div>
                        <input type="hidden" name="_target_path" value="{{ app.request.get('redirect_to') }}"/>
                        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}"/>
                        <button type="submit" class="btn btn-primary">
                            <i class="fa fa-sign-in" aria-hidden="true"></i> Login
                        </button>
                    </fieldset>
                </form>
            </div>
        </div>

        <div id="login-help" class="col-sm-7">
            <h3>
                <i class="hidden-xs fa fa-long-arrow-left" aria-hidden="true"></i>
                Se connecter avec l'utilisateur suivant
            </h3>

            <table class="table table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th scope="col">Identifiant</th>
                        <th scope="col">Full Name</th>
                        <th scope="col">Mot de passe</th>
                        <th scope="col">Store</th>
                    </tr>
                </thead>
                <tbody>
                <tr>
                    <td>admin@mail.fr</td>
                    <td>Alexandre Jaunasse</td>
                    <td>admin</td>
                    <td>AlexStore</td>
                </tr>
                </tbody>
            </table>
            <div id="login-users-help" class="panel panel-default">
                <div class="panel-body">
                    <p>
                        <span class="label label-success">Note</span>
                        Si cela ne fonctionne pas, il faut charger les données en base de données à l'aide de la commande :<br/>

                        <code class="console">$ php bin/console doctrine:fixtures:load</code>
                    </p>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
